#ifndef _DLFCN_H
#define _DLFCN_H

#include <windows.h>

#define RTLD_LAZY 0

inline
void * dlopen(const char * file, int mode)
{
   return LoadLibrary(file);
}

inline
void * dlsym(void * dll, const char * fun)
{
   return (void*)GetProcAddress((HMODULE)dll, fun);
}

inline
void dlclose(void * arg)
{
   FreeLibrary((HMODULE)arg);
}

#endif
